Bug 102244 - Xwindows and console duplicated on both screens of a matrox g400
Xwindows and console duplicated on both screens of a matrox g400
Status: CLOSED NOTABUG
Product: Red Hat Linux Beta
Classification: Retired
Component: XFree86 (Show other bugs)
beta1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-12 17:32 EDT by Ashley Collins
Modified: 2007-04-18 12:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-01 02:10:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ashley Collins 2003-08-12 17:32:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
Once X starts, X and consoles are duplicated on both screens of a multihead
matrox g400.

This is the lspci entry for the card:

01:00.0 VGA compatible controller: Matrox Graphics, Inc. MGA G400 AGP (rev 82)

This is the entry in Xfree86.log:

(--) PCI:*(1:0:0) Matrox Graphics, Inc. MGA G400 AGP rev 130, Mem @
0xf6000000/25, 0xfcffc000/14, 0xfc000000/23, BIOS @ 0x80000000/1

This does not stop the card being run in xinerama mode, but it means I have to
switch one monitor off if I don't want my desktop (and console) in stereo when
using the default set up.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. install a matrox g400 multihead
2. install redhat
3. see the duplicated screens once X starts
    

Additional info:
Comment 1 Ashley Collins 2003-08-13 03:55:15 EDT
I think the card is actually a g450 (although lspci shows otherwise)
Comment 2 Mike A. Harris 2003-08-13 04:52:14 EDT
For the record, I consider this misconfiguration rather than a bug.  The
video card detects multiple displays connected, and it enables them both at
boot time.  The only way to prevent that to my knowledge, is to unplug the
second display.  Alternatively, try looking in the "mga" man page, and
possibly experiment with options that are available there.  I'm not sure
if there are options to control this or not, however you may also want to seek
assistance solving this problem on the xfree86@xfree86.org mailing list.

Both Matrox G400 and G450 both use the exact same PCI device ID, and are thus
not distinguishable by the PCI device ID alone.  Any software which uses the
PCI device ID to look up text in a table (such as lspci, XFree86, kudzu, etc.)
to translate the resultant ID into human readable text, can only display one
single value.  As such, both of these cards will display as Matrox G400 when
using the PCI device ID alone.  In order to distinguish the G400 from the
G450, the subvendor and subdevice information must be looked at.  If you
have a real G450, the human readable text of the subdevice ID will show it
to be a G450.

lspci -v

Another way of distinguishing the two is the chip revision number.  If the
revision number is 0x80 or higher, it is a G450, otherwise it is a G400. In
all cases, all software internally knows the difference between the two, and
properly programs the chip correctly for either G400 or G450 depending on
which the chip is.  Any cosmetic text displayed by the config tools, XFree86,
lspci or other software, which seems misleading or to be misdetecting the
chip, is in fact correct, as Matrox intentionally decided to reuse the same
ID on multiple chipsets.  This is confusing to end users, however it is
harmless, and nothing can be done about it.  In any case, XFree86 configured
to use the "mga" driver will autodetect the proper Matrox chip set in all
cases, and treat it properly.  The X server also tests the revision and
subdevice ID prior to displaying the chipset name, and properly displays
"G450" for real G450 boards, whereas lspci and other hardware nonspecific
tools do not.

Please attach your X server config file and log file as individual uncompressed
file attachments using the link below.  Also, please update the report with the
results of playing with the options in the manpage, and any useful tidbits
you acquire from the XFree86 mailing list.

Hope this helps.


Note You need to log in before you can comment on or make changes to this bug.